---
title: WritableStreamDefaultWriter.abort()
slug: Web/API/WritableStreamDefaultWriter/abort
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Streams
  - WritableStreamDefaultWriter
  - abort
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>abort()</code></strong> method of the {{domxref("WritableStreamDefaultWriter")}} interface aborts the stream, signaling that the producer can no longer successfully write to the stream and it is to be immediately moved to an error state, with any queued writes discarded. </p>

<p> If the writer is active, the <code>abort()</code> method behaves the same as that for the associated stream ({{domxref("WritableStream.abort()")}}). If not, it returns a rejected promise.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>promise</em> = <em>writableStreamDefaultWriter</em>.abort(<em>reason</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>reason {{optional_inline}}</dt>
 <dd>A {{domxref("DOMString")}} representing a human-readable reason for the abort.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}}, which fulfills with the value given in the <code>reason</code> parameter.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The stream you are trying to abort is not a {{domxref("WritableStream")}}, or it is locked.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const writableStream = new WritableStream({
  write(chunk) {
    ...
  },
  close() {
    ...
  },
  abort(err) {
    ...
  }
}, queuingStrategy);

...

const writer = writableStream.getWriter();

...

// abort the stream when desired
writer.abort.then((reason) =&gt; {
  console.log(reason);
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#default-writer-abort","abort()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WritableStreamDefaultWriter.abort")}}</p>
